Bug 1195975 - [abrt] WARNING: CPU: 3 PID: 4437 at drivers/gpu/drm/i915/i915_gem.c:4285 i915_gem_object_unpin_fence+0x75/0xa0 [i915]() [i915]
Summary: [abrt] WARNING: CPU: 3 PID: 4437 at drivers/gpu/drm/i915/i915_gem.c:4285 i915...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b77b7849bc6d2d0d1598fbf8ed7...
: 1197453 1199747 1201354 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 22:40 UTC by Fabio Valentini
Modified: 2016-07-19 12:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:51:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: dmesg (78.70 KB, text/plain)
2015-02-24 22:40 UTC, Fabio Valentini
no flags Details

Description Fabio Valentini 2015-02-24 22:40:18 UTC
Additional info:
reporter:       libreport-2.4.0
WARNING: CPU: 3 PID: 4437 at drivers/gpu/drm/i915/i915_gem.c:4285 i915_gem_object_unpin_fence+0x75/0xa0 [i915]()
WARN_ON(dev_priv->fence_regs[obj->fence_reg].pin_count <= 0)
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep arc4 intel_rapl iosf_mbi hid_sensor_rotation hid_sensor_incl_3d x86_pkg_temp_thermal coretemp hid_sensor_magn_3d kvm_intel hid_sensor_als hid_sensor_gyro_3d hid_sensor_accel_3d hid_sensor_trigger hid_sensor_iio_common industrialio_triggered_buffer kfifo_buf kvm industrialio iTCO_wdt iTCO_vendor_support iwlmvm crct10dif_pclmul mac80211 crc32_pclmul
 vfat fat btusb uvcvideo bluetooth videobuf2_vmalloc snd_hda_codec_hdmi ghash_clmulni_intel videobuf2_core snd_hda_codec_realtek snd_hda_codec_generic iwlwifi videobuf2_memops v4l2_common videodev serio_raw snd_hda_intel cfg80211 snd_hda_controller snd_hda_codec i2c_i801 snd_hwdep snd_seq media hid_multitouch hid_sensor_hub snd_seq_device snd_pcm ideapad_laptop sparse_keymap dw_dmac rfkill i2c_hid dw_dmac_core snd_timer int3402_thermal mei_me int3400_thermal int3403_thermal i2c_designware_platform i2c_designware_core soc_button_array acpi_thermal_rel snd mei soundcore lpc_ich processor_thermal_device shpchp int340x_thermal_zone mfd_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs xor i915 raid6_pq i2c_algo_bit drm_kms_helper drm crc32c_intel sdhci_acpi sdhci mmc_core video
CPU: 3 PID: 4437 Comm: Xorg Not tainted 4.0.0-0.rc1.git0.1.fc22.x86_64 #1
Hardware name: LENOVO 20266/Yoga2, BIOS 76CN31WW 10/31/2013
 0000000000000000 00000000abd9b34d ffff88022ec576f8 ffffffff8177fc48
 0000000000000000 ffff88022ec57750 ffff88022ec57738 ffffffff8109c7ba
 ffff88022ec57798 ffff88007f5f0000 ffff880249534700 ffffffffa01c7f60
Call Trace:
 [<ffffffff8177fc48>] dump_stack+0x45/0x57
 [<ffffffff8109c7ba>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c845>] warn_slowpath_fmt+0x55/0x70
 [<ffffffffa01388f5>] i915_gem_object_unpin_fence+0x75/0xa0 [i915]
 [<ffffffffa01744c5>] intel_unpin_fb_obj+0x25/0x60 [i915]
 [<ffffffffa018088d>] intel_cleanup_plane_fb+0x3d/0x80 [i915]
 [<ffffffffa00da8be>] drm_plane_helper_commit+0x1fe/0x300 [drm_kms_helper]
 [<ffffffffa00daa5a>] drm_plane_helper_update+0x9a/0xf0 [drm_kms_helper]
 [<ffffffffa0180396>] intel_crtc_set_config+0xdb6/0x1010 [i915]
 [<ffffffffa007e056>] drm_mode_set_config_internal+0x66/0x100 [drm]
 [<ffffffffa00e3738>] restore_fbdev_mode+0xc8/0xf0 [drm_kms_helper]
 [<ffffffff811c0650>] ? zone_statistics+0x80/0xa0
 [<ffffffffa00e5789>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x80 [drm_kms_helper]
 [<ffffffff81656717>] ? __alloc_skb+0x87/0x210
 [<ffffffffa00e5802>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
 [<ffffffffa018fa8a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81417b06>] fb_set_var+0x236/0x480
 [<ffffffffa027e341>] ? btrfs_set_bit_hook+0xb1/0x220 [btrfs]
 [<ffffffffa0299244>] ? __set_extent_bit+0x3f4/0x570 [btrfs]
 [<ffffffffa0298b68>] ? merge_state.part.33+0x138/0x140 [btrfs]
 [<ffffffff8124b1e7>] ? inode_to_bdi+0x27/0x60
 [<ffffffff8140d60c>] fbcon_blank+0x34c/0x390
 [<ffffffff8132fd8b>] ? cred_has_capability+0x6b/0x130
 [<ffffffff814944da>] do_unblank_screen+0xda/0x1d0
 [<ffffffff8148913b>] vt_ioctl+0x57b/0x1430
 [<ffffffff8120159f>] ? __slab_free+0xbf/0x260
 [<ffffffff8147be01>] tty_ioctl+0x3f1/0xc30
 [<ffffffff8123d2c7>] ? evict+0x107/0x190
 [<ffffffff8132aaa3>] ? selinux_file_free_security+0x23/0x30
 [<ffffffff81235056>] do_vfs_ioctl+0x2c6/0x4d0
 [<ffffffff812352e1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81786029>] system_call_fastpath+0x12/0x17

Comment 1 Fabio Valentini 2015-02-24 22:40:26 UTC
Created attachment 994962 [details]
File: dmesg

Comment 2 Adam Jackson 2015-05-27 16:12:47 UTC
*** Bug 1197453 has been marked as a duplicate of this bug. ***

Comment 3 Adam Jackson 2015-05-27 16:12:50 UTC
*** Bug 1199747 has been marked as a duplicate of this bug. ***

Comment 4 Adam Jackson 2015-05-27 16:12:54 UTC
*** Bug 1201354 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2016-07-19 12:51:42 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.